<?xml version="1.0" encoding="UTF-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/root"
    android:keepScreenOn="true">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="48dp">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            >
            <RelativeLayout
                android:id="@+id/big_layout"
                android:layout_width="match_parent"
                android:layout_height="320dp"
                android:background="@color/darker_gray">
                <com.ez.basertc.view.VideoCanvasView
                    android:id="@+id/big_view"
                    android:layout_width="match_parent"
                    android:layout_height="320dp"
                    android:layout_marginBottom="10dp"
                    android:layout_centerHorizontal="true"
                    android:keepScreenOn="true"/>
                <ImageView
                    android:id="@+id/big_default_avatar"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:visibility="gone"
                    android:src="@mipmap/icon_default_avatar"
                    android:contentDescription="DEFAULT_AVATAR" />
                <ProgressBar
                    android:id="@+id/progressBar_big"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:visibility="visible"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:indeterminateTintMode="src_atop"
                    android:indeterminateTint="@color/ezm_white"/>
                <ImageView
                    android:id="@+id/img_switch_camera"
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:scaleType="center"
                    android:layout_alignParentTop="true"
                    android:layout_alignParentRight="true"
                    android:src="@mipmap/btn_switch_camera_white"
                    app:tint="@color/ezm_c3_lite" />
            </RelativeLayout>

            <com.ez.ertc.call.ui.GridVideoViewContainer
                android:id="@+id/grid_video_view_container"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="100dp"
                android:layout_below="@+id/big_layout"
                />

            <com.ez.basertc.view.VideoCanvasView
                android:id="@+id/grid_video_view_share"
                android:layout_width="match_parent"
                android:layout_height="450dp"
                android:visibility="gone"
                android:layout_marginBottom="100dp"
                android:layout_centerHorizontal="true"
                />

            <LinearLayout
                android:id="@+id/extra_ops_container_share"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_gravity="right"
                android:layout_below="@+id/grid_video_view_container"
                android:layout_alignParentRight="true"
                android:orientation="horizontal">

                <Switch
                    android:id="@+id/switch_sub"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="12sp"
                    android:checked="true"
                    android:text="全部订阅"/>

                <Switch
                    android:id="@+id/switch_share_screen"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:enabled="false"
                    android:textSize="12sp"
                    android:text="共享屏幕"/>

                <Switch
                    android:id="@+id/switch_look_share"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="12sp"
                    android:enabled="false"
                    android:text="观看共享"/>

                <TextView
                    android:id="@+id/look_stats_data"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="查看数据 >> "/>
            </LinearLayout>


            <RelativeLayout
                android:id="@+id/layout_sendtext"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_below="@+id/extra_ops_container_share"
                android:layout_marginTop="5dp">
                <Button
                    android:id="@+id/bt_send"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:text="发送透传消息"/>
                <EditText
                    android:id="@+id/et_sendtext"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="text"
                    android:hint="输入文字发送透传消息"
                    android:layout_marginRight="5dp"
                    android:layout_toLeftOf="@+id/bt_send"/>
            </RelativeLayout>
        </RelativeLayout>
    </ScrollView>


    <LinearLayout
        android:id="@+id/bottom_container"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/bottom_action_container"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@android:color/white"
            android:orientation="horizontal"
            android:paddingStart="8dp"
            android:paddingLeft="8dp"
            android:paddingEnd="8dp"
            android:paddingRight="8dp">

            <ImageView
                android:id="@id/switch_speaker_id"
                android:layout_width="40dp"
                android:layout_height="match_parent"
                android:scaleType="center"
                android:src="@mipmap/btn_speaker" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="20" />

            <ImageView
                android:id="@+id/img_hangup"
                android:layout_width="40dp"
                android:layout_height="match_parent"
                android:scaleType="center"
                android:src="@mipmap/btn_hangup" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="20" />

            <ImageView
                android:id="@+id/image_small"
                android:layout_width="40dp"
                android:layout_height="match_parent"
                android:scaleType="center"
                android:src="@mipmap/btn_small_off"/>

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="20" />

            <ImageView
                android:id="@+id/img_camera"
                android:layout_width="40dp"
                android:layout_height="match_parent"
                android:scaleType="center"
                android:src="@mipmap/btn_camera" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="20" />

            <ImageView
                android:id="@+id/img_microphone"
                android:layout_height="match_parent"
                android:layout_width="40dp"
                android:scaleType="center"
                android:src="@mipmap/btn_microphone_off" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/msg_input_container"
            android:layout_width="match_parent"
            android:layout_height="54dp"
            android:background="@color/dark_black"
            android:orientation="horizontal"
            android:visibility="gone">

            <ImageView
                android:layout_width="54dp"
                android:layout_height="match_parent"
                android:scaleType="center"
                android:src="@mipmap/btn_keyboard_hide" />

            <EditText
                android:id="@+id/msg_content"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="20"
                android:background="@android:color/transparent"
                android:hint="@string/msg_say_something"
                android:imeActionLabel="@string/label_send"
                android:imeOptions="actionSend"
                android:inputType="text"
                android:maxLines="1"
                android:textColor="@android:color/white"
                android:textColorHint="@android:color/white" />

        </LinearLayout>

    </LinearLayout>
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/user_list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#FFFFFF"
        android:visibility="gone"
        android:scrollbars="none"/>

</RelativeLayout>
